Message d'avertissement

The subscription service is currently unavailable. Please try again later.

Probleme mise a jour 6.16

Information importante

En raison d'un grand nombre d'inscriptions de spammers sur notre site, polluant sans relache notre forum, nous suspendons la création de compte via le formulaire de "sign up".

Il est néanmoins toujours possible de devenir adhérent•e en faisant la demande sur cette page, rubrique "Inscription" : https://www.drupal.fr/contact


De plus, le forum est désormais "interdit en écriture". Il n'est plus autorisé d'y écrire un sujet/billet/commentaire.

Pour contacter la communauté, merci de rejoindre le slack "drupalfrance".

Si vous voulez contacter le bureau de l'association, utilisez le formulaire disponible ici, ou envoyez-nous un DM sur twitter.

Bonjour,

j'ai fais une mise a jour de 6.15 vers 6.16, voici le message que j'obtiens :

user warning: Table 'lemouche.semaphore' doesn't exist query: SELECT expire, value FROM semaphore WHERE name = 'locale_cache_fr' in /homez.11/lemouche/www/includes/lock.inc on line 154.

Avez vous une idée pour le résoudre ?

Romann

Forum : 
Version de Drupal : 

J'ai connu les mêmes déboires à la mise à jour dans la dernière version. L'update permet de consulter le site normalement, mais par contre aller sur les pages admin génère une nouvelle erreur: "
Fatal error: Call to undefined function: array_intersect_key() in /homez.311/solutionor/www/modules/update/update.compare.inc on line 695"

J'ai supprimé tous mes fichiers, purgé la base de données et procédé à une réinstallation complète de la nouvelle version.
Problème: impossible d'accéder à la partie admin. génération du même message: "Fatal error: Call to undefined function: array_intersect_key() in: homez/...update/update.compare.inc on line 695"
C'est bien gentil d'annoncer une version comme nécessaire pour des questions de sécurité, mais si oin se retrouve devant un problème insoluble... Je sais "insoluble" n'existe pas chez les Drupal mais quand maime!

Hello,

J'ai le même problème, pas de possibilité d'afficher un report, pas d'accès aux pages d'administration même avec le user/1. Les pages sont blanches.

J'ai fait l'update qui s'est bien passé.

Par contre, j'ai un problème de temps d'accès, il se réduit un peu. Avant, j'avais besoin de 2 minutes pour afficher la page d'accueil. Maintenant, il ne me faut que 47 secondes. C'est un petit progrès.

EM

Le problème d'accès à l'admin (Fatal error: Call to undefined function: array_intersect_key() ...) peut être réglé en faisant la manip indiquée ici :

http://drupal.org/node/222741

Pour faire simple : dans le htaccess, passer en version 4 de php (par exemple en ajoutant la ligne SetEnv PHP_VER 4 pour ceux qui sont chez ovh), puis revenir à la version 5 (en supprimant la ligne précédemment ajoutée et en la remplaçant par SetEnv PHP_VER 5 donc). Chez moi, cela a fonctionné.
Ne me demandez pas pourquoi c'est ainsi, je débute sur Drupal. Globalement, la prise en main est plus délicate que Joomla ou Wordpress. Je m'arrache les cheveux pour le contenu (insertion d'image + editeur wysiwig).
@+

Hello,

Si je parts de l'idée qu'il faut relancer php (CF plus haut).

Sachant que chez Gandi, on ne peut pas arrêter php sans arrêter le serveur pour tout relancer c'est assez logique.

ça à l'air de marcher
EM

salut,

perso, j'ai

  • déconnecté aussi le module locale dans Core-facultatif
  • remplacé le .htaccess (j'avais gardé l'ancien), et il change à priori dans le 6.16
  • vidé le cache de mon navigateur (mais PAS les cookies !!)

et à priori, plus de message avant de lancer la mise à jour

Tout marche après une courte vérif.
Je ne sais pas ce qui faisait bugué, mais peut-être plutot le module locale qui était resté activé.
Donc en fonction de votre message, voir si il ne faut pas désactiver un module oublié... ;)

Bonjour,
Je n'arrive pas à effectuer cette manip' ? A quel endroit doit-je ajouter ces lignes, au début, à la fin ? Merci

"Pour faire simple : dans le htaccess, passer en version 4 de php (par exemple en ajoutant la ligne SetEnv PHP_VER 4 pour ceux qui sont chez ovh), puis revenir à la version 5 (en supprimant la ligne précédemment ajoutée et en la remplaçant par SetEnv PHP_VER 5 donc)"

Ok moi cela ne marche pas !

J'ai cela dans mon fichier .htaccess:

SetEnv PHP_VER 5

#

Apache/PHP/Drupal settings:

#

Protect files and directories from prying eyes.

Order allow,deny

Don't show directory listings for URLs which map to a directory.

Options -Indexes

Follow symbolic links in this directory.

Options +FollowSymLinks

Make Drupal handle any 404 errors.

ErrorDocument 404 /index.php

Force simple error message for requests for non-existent favicon.ico.

# There is no end quote below, for compatibility with Apache 1.3.
ErrorDocument 404 "The requested file favicon.ico was not found.

Set the default handler.

DirectoryIndex index.php

Override PHP settings. More in sites/default/settings.php

but the following cannot be changed at runtime.

PHP 4, Apache 1.

php_value magic_quotes_gpc 0
php_value register_globals 0
php_value session.auto_start 0
php_value mbstring.http_input pass
php_value mbstring.http_output pass
php_value mbstring.encoding_translation 0

PHP 4, Apache 2.

php_value magic_quotes_gpc 0
php_value register_globals 0
php_value session.auto_start 0
php_value mbstring.http_input pass
php_value mbstring.http_output pass
php_value mbstring.encoding_translation 0

PHP 5, Apache 1 and 2.

php_value magic_quotes_gpc 0
php_value register_globals 0
php_value session.auto_start 0
php_value mbstring.http_input pass
php_value mbstring.http_output pass
php_value mbstring.encoding_translation 0

Requires mod_expires to be enabled.

# Enable expirations.
ExpiresActive On

# Cache all files for 2 weeks after access (A).
ExpiresDefault A1209600

# Do not allow PHP scripts to be cached unless they explicitly send cache
# headers themselves. Otherwise all scripts would have to overwrite the
# headers set by mod_expires if they want another caching behavior. This may
# fail if an error occurs early in the bootstrap process, and it may cause
# problems if a non-Drupal PHP file is installed in a subdirectory.
ExpiresActive Off

Various rewrite rules.

RewriteEngine on

# If your site can be accessed both with and without the 'www.' prefix, you
# can use one of the following settings to redirect users to your preferred
# URL, either WITH or WITHOUT the 'www.' prefix. Choose ONLY one option:
#
# To redirect all users to access the site WITH the 'www.' prefix,
# (http://example.com/... will be redirected to http://www.example.com/...)
# adapt and uncomment the following:
# RewriteCond %{HTTP_HOST} ^example.com$ [NC]
# RewriteRule ^(.)$ http://www.example.com/$1 [L,R=301]
#
# To redirect all users to access the site WITHOUT the 'www.' prefix,
# (http://www.example.com/... will be redirected to http://example.com/...)
# uncomment and adapt the following:
# RewriteCond %{HTTP_HOST} ^www.example.com$ [NC]
# RewriteRule ^(.
)$ http://example.com/$1 [L,R=301]

# Modify the RewriteBase if you are using Drupal in a subdirectory or in a
# VirtualDocumentRoot and the rewrite rules are not working properly.
# For example if your site is at http://example.com/drupal uncomment and
# modify the following line:
# RewriteBase /drupal
#
# If your site is running in a VirtualDocumentRoot at http://example.com/,
# uncomment the following line:
# RewriteBase /

# Rewrite URLs of the form 'x' to the form 'index.php?q=x'.
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_URI} !=/favicon.ico
RewriteRule ^(.*)$ index.php?q=$1 [L,QSA]

$Id: .htaccess,v 1.90.2.5 2010/02/02 07:25:22 dries Exp $

Ah. Il faut dire que je ne suis pas un expert en la matière. Pour ce qui concerne le site sur lequel j'ai rencontré un problème; il s'agissait d'un serveur mutualisé chez ovh. Comme je ne pouvais pas redémarrer le serveur, j'ai donc forcé le passage d'une version de php à l'autre, avant de revenir au point initial, ce qui a marché pour ce qui me concerne. Il y a certainement une façon plus orthodoxe de procéder, mais je ne sais pas comment t'aider.